# Uses of Class
org.apache.sysds.parser.dml.DmlParser.IterablePredicateContext

Packages that use DmlParser.IterablePredicateContext
Package
Description
org.apache.sysds.parser.dml

## Uses of DmlParser.IterablePredicateContext in org.apache.sysds.parser.dml

Subclasses of DmlParser.IterablePredicateContext in org.apache.sysds.parser.dml
Modifier and Type
Class
Description
`static class`
`DmlParser.IterablePredicateColonExpressionContext`
`static class`
`DmlParser.IterablePredicateSeqExpressionContext`
Fields in org.apache.sysds.parser.dml declared as DmlParser.IterablePredicateContext
Modifier and Type
Field
Description
`DmlParser.IterablePredicateContext`
DmlParser.ForStatementContext.`iterPred`
`DmlParser.IterablePredicateContext`
DmlParser.ParForStatementContext.`iterPred`
Methods in org.apache.sysds.parser.dml that return DmlParser.IterablePredicateContext
Modifier and Type
Method
Description
`DmlParser.IterablePredicateContext`
DmlParser.ForStatementContext.`iterablePredicate()`
`final DmlParser.IterablePredicateContext`
DmlParser.`iterablePredicate()`
`DmlParser.IterablePredicateContext`
DmlParser.ParForStatementContext.`iterablePredicate()`
Methods in org.apache.sysds.parser.dml with parameters of type DmlParser.IterablePredicateContext
Modifier and Type
Method
Description
`void`
DmlParser.IterablePredicateContext.`copyFrom(DmlParser.IterablePredicateContext ctx)`
Constructors in org.apache.sysds.parser.dml with parameters of type DmlParser.IterablePredicateContext
Modifier
Constructor
Description
``
`IterablePredicateColonExpressionContext(DmlParser.IterablePredicateContext ctx)`
``
`IterablePredicateSeqExpressionContext(DmlParser.IterablePredicateContext ctx)`